Name:           tvtime
Version:        1.0.2
Release:        %mkrel 15
Summary:        High quality television application
Group:          Video/Players
License:        GPLv2+ and LGPLv2+
URL:            http://tvtime.net/
Source0:        http://prdownloads.sourceforge.net/tvtime/%{name}-%{version}.tar.bz2
Patch0:         tvtime-1.0.2.buildfix.patch
# Build against system v4l / v4l2 headers rather than the obsolete
# ones included, which cause the build to fail - AdamW 2007/08
Patch1:		tvtime-1.0.2-v4lheaders.patch
Patch2:		tvtime-1.0.2-fix-str-fmt.patch
#from fedora
Patch3:		tvtime-1.0.2-localedef.patch
Patch4:		tvtime-1.0.2-videoinput.patch
# http://sourceforge.net/tracker/?func=detail&atid=506989&aid=1634306&group_id=64301
Patch5:     tvtime-1.0.2-savematte.patch
Patch6:		tvtime-libpng-1.5.patch
BuildRequires:  libx11-devel
BuildRequires:  libxml2-devel
BuildRequires:  libpng-devel
BuildRequires:  freetype2-devel
BuildRequires:  libSDL-devel
BuildRequires:	libxv-devel
BuildRequires:	libxtst-devel
BuildRequires:	libice-devel
BuildRequires:	libsm-devel
BuildRequires:	libxinerama-devel
BuildRequires:	libxxf86vm-devel
BuildRequires:	desktop-file-utils

%description
Tvtime is a high quality television application for use with video
capture cards.  tvtime processes the input from a capture card and
displays it on a computer monitor or projector.  Unlike other television
applications, tvtime focuses on high visual quality making it ideal for
videophiles.

  tvtime supports:

  o   Deinterlaced output at full interlaced rate of 59.94 frames per
      second for NTSC source, or 50 frames per second for PAL sources.
      This gives smoothness of motion and high visual quality.

  o   Multiple deinterlacing algorithms for finding the optimal mode for
      your video content and available processor speed.

  o   16:9 aspect ratio mode for the highest available resolution when
      processing input from an external DVD player or digital satellite
      receiver.

  o   A super-slick on-screen-display for the complete television
      experience, with a featureful menu system.

  o   2-3 Pulldown detection for optimal quality viewing of film content
      from NTSC sources.

%package doc
Summary:	User manual for %{name}
Group:		Video/Editors and Converters
BuildArch:	noarch

%description doc
This package contains the user manual for %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .v4l
%patch2 -p0 -b .str
%patch3 -p1 -b .locale
%patch4 -p1 -b .videoinput
%patch5 -p1 -b .savematte
%patch6 -p1 -b .libpng

%build
%configure2_5x
%make

%install
%makeinstall ROOT=%{buildroot}

#xdg
mv %{buildroot}%{_datadir}/applications/net-%{name}.desktop \
%{buildroot}%{_datadir}/applications/%{name}.desktop

perl -pi -e 's/tvtime.png/tvtime/' \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

desktop-file-install --vendor="" \
    --remove-category="Application" \
    --add-category="TV" \
    --add-category="Video" \
    --add-category="X-Mageia-CrossDesktop" \
    --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/*

install -d %{buildroot}%{_docdir}/%{name}
ln -sf ../%{name}-doc/html %{buildroot}%{_docdir}/%{name}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README
%doc data/COPYING.FreeMonoBold data/COPYING.tvtimeSansBold
%exclude %{_docdir}/%{name}/html
%{_bindir}/*
%{_mandir}/man?/*
%lang(de) %{_mandir}/de/man?/*
%lang(es) %{_mandir}/es/man?/*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/tvtime.xml
%{_datadir}/%{name}
# freedesktop stuff
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/*/%{name}.png
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}.xpm

%files doc
%doc ChangeLog
%doc docs/html
%doc %{_docdir}/%{name}/html


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.0.2-15.mga3
+ Revision: 384915
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 zezinho <zezinho> 1.0.2-14.mga3
+ Revision: 322433
- fix rpm group

* Thu Nov 10 2011 blino <blino> 1.0.2-13.mga2
+ Revision: 166039
- exclude html symlink from main package
- split HTML doc files in a doc subpackage

* Thu Sep 15 2011 fwang <fwang> 1.0.2-12.mga2
+ Revision: 144060
- fix header file location
- fix build with libpng1.5

* Thu Feb 24 2011 ennael <ennael> 1.0.2-12.mga1
+ Revision: 59103
- clean spec file
- imported package tvtime

